Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161097 - CRM 565876: samba-3.0.8pre1-smbmnt.patch to fix smbmount UID wraparound bug for RHEL3 Samba packages
Summary: CRM 565876: samba-3.0.8pre1-smbmnt.patch to fix smbmount UID wraparound bug f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Staubach
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-06-20 15:30 UTC by Vince Worthington
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 15:24:33 UTC


Attachments (Terms of Use)
Proposed patch (deleted)
2005-06-27 16:02 UTC, Peter Staubach
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Vince Worthington 2005-06-20 15:30:25 UTC
+++ This bug was initially created as a clone of Bug #160189 +++

Escalated to Bugzilla from IssueTracker

Per Jay Fenlason's instructions in IT# 73826, cloning bug 160189 against the
kernel to request the accompanying kernel patch also be backported to RHEL3
kernel so the userspace smbmount patch will work.

Thanks,
Vince

Comment 2 Jay Fenlason 2005-06-21 18:41:56 UTC
I don't track kernel patches.  It happened somewhere between the RHEL-3 kernel 
and the FC-3 kernel of around Oct 6 2004. 

Comment 3 Peter Staubach 2005-06-27 16:02:23 UTC
Created attachment 116023 [details]
Proposed patch

Comment 4 Peter Staubach 2005-06-27 16:03:38 UTC
I found the patch and have ported all of the appropriate portions back to the
RHEL-3 kernel smbfs.

Comment 6 Ernie Petrides 2005-07-16 00:18:00 UTC
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.12.EL).


Comment 9 Red Hat Bugzilla 2005-09-28 15:24:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html



Note You need to log in before you can comment on or make changes to this bug.